/****************************************************************************\
*
* magnetiX - Magnetic Scrolls Interpreter - Mac OS X port
*
* Written by Jan-Sebastian Schliemann <magnetiX@maczentrisch.de>
*
*
* the original Magnetic was:
*
* Written by Niclas Karlsson <nkarlsso@abo.fi>,
*            David Kinder <davidk.kinder@virgin.net>,
*            Stefan Meier <Stefan.Meier@if-legends.org> and
*            Paul David Doherty <pdd@if-legends.org>
*
* Copyright (C) 1997-2008  Niclas Karlsson
*
*
*
*     This program is free software; you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation; either version 2 of the License, or
*     (at your option) any later version.
*
*     This program is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with this program; if not, write to the Free Software
*     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
*
\*****************************************************************************/

#import <Cocoa/Cocoa.h>

@interface WA_4SonomaAnimation : NSAnimation

@property (assign, nonatomic) NSView *view;
@property (assign, nonatomic) NSRect startFrame;
@property (assign, nonatomic) NSRect endFrame;

@property (assign, nonatomic) NSView *view2;
@property (assign, nonatomic) NSRect startFrame2;
@property (assign, nonatomic) NSRect endFrame2;

@property (copy, nonatomic) void (^completionBlock)(void);

- (instancetype)initWithView:(NSView *)view startFrame:(NSRect)startFrame endFrame:(NSRect)endFrame view2:(NSView *)view2 startFrame2:(NSRect)startFrame2 endFrame2:(NSRect)endFrame2 completionBlock:(void (^)(void))completionBlock;

@end
